import pino, { MultiStreamRes } from "pino";
import pretty from "pino-pretty";

const streams = [
  {
    stream: pretty({
      colorize: true
    })
  },
  {
    stream: pino.destination({
      dest: "violet.log",
      append: true,
      sync: true
    })
  }
];

const logger = pino(
  {
    level: "debug"
  },
  pino.multistream(streams)
);

export default logger;
